# BEGIN SourceDeps(oneline):
BuildRequires: perl(Exporter.pm) perl(Scalar/Util.pm) perl(Test/More.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.07
%define module_name Math-PercentChange
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.07
Release: alt1
Summary: calculate the percent change between two values
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/M/MB/MBAAS/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
use Math::PercentChange qw(percent_change);
  my $from = 10;
  my $to   = 5;
  my $diff = percent_change($from, $to);               # -50
  
  use Math::PercentChange qw(f_percent_change);
  my $from = 10;
  my $to   = 15;
  my $diff = f_percent_change($from, $to, "%%.03f");    # 50.000%%
# or
  my $diff = f_percent_change($from, $to, "%%.03f", 1); # 50.000

%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%perl_vendor_privlib/M*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

